//===========================================================================
//
// Name:		Pyrette_c.c
// Function:      chat lines for Pyrette
// Programmer:	Patrick "Slawinsirugi" Slawinski
// Last update:	June 21, 2000
// Author:	Patrick "Slawinskirugi" Slawinski
// Tab Size:		3 (real tabs)
//===========================================================================

chat "Pyrette"
{
	#include "teamplay.h"

	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{
		"Welcome to my world!";
		"If you smell smoke, ", 1, ", than you're already dead.";
		// 0 = bot name
		//1 = random player
		//4 = level's title
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"It's a bit too hot in here for my tastes.";
		// 0 = bot name
		//4 = level's title
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"Flame on!";
		"It's time for Pyrette to light this dump up.";
		"If it's not too much to ask, ", 0, ", would you cover yourself in gasoline?";

		// 0 = bot name
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Sorry, I ran out of matches.";
		"Can we try that again, ", 2, "? I think you were just lucky.";

		// 0 = bot name
		// 1 = random opponent
		// 2 = opponent in first place
		// 3 = opponent in last place
		// 4 = level's title
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Here's a hint, ", 3, ". Buy some matches.";
		"Ashes to ashes, I left you in the dust.";
		"Remembeer, ", 3, ": stop, drop, and roll.";
		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"I guess I had that coming.";
		"Ashes to ashes...";
		"I hope you all spontaneously combust.";
		"Good luck, ", 2, ". But someone's going to toast you eventually.";
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Now that was nice manners. Bet you light your farts in public too.";
		"Keep that up and you'll be REAL popular here.";
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"I think you singed my eyebrows.";
		"Careful, ", 0, ", or you might find yourself up in smoke.";
		"Just a flesh wound.";

		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Sorry, I couldn't see well through all the smoke.";
		"Nuts. I'm getting a lot ofglare off that bonfire.";
		"You want a bandage or an aspirin for that?";
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"Fwoosh!! Got me like a moth in a candle.";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"I knew I shouldn't have inhaled all those gasoline fumes.";
		"Scrape me off the floor and send me back to the front.";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"I am one with the flame...";
		"Sorry, but the lava is just so hypnotizing...";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"Now that's some kind of acid trip.";
		"I'll take lava over goo any day.";
		"Note to self: Green=Bad.";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Fire and water just don't mix.";
		"Consider this flame extinguished.";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"After all this time, I ought to be more careful with my karosene.";
		"My mother always told me, 'Don't play with fire.'";
		"*Sigh* Play with fire and you're gonna be burned.";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"You don't EVER touch a lady like that. You hear me?";
		"Next time, bring oven mitts.";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"Jeez, toast some marsmallows why don't 'cha.";
		"That ~one hits you before you hear it. Ouch!";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"You need one of those?!";
		DEATH_BFG2;
			// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Beginners luck.";
		"You got lucky, I couldn't get my zippo lit.";
		"Next time I see you, ", 0, ", you're dead.";
		"There's your free trial, but the next one's gonna cost you.";
		"So... you're up to what ... 3 frags an hour?";

		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		
			"Wooo! Looks like another firebug has moved into town.";
			"Ummm... nice one.";
			"Ouch! I felt that one!";
			"Whooo, you lit me up!";
			"Wow, ", 0, ", you're on fire!";
			// 0 = enemy name
	} //end type

	//======================================================
	//======================================================
	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Hmmm...  Pretty nice.";
		"Explosive decompression works for me.";
		"Can I have the slug back? I'd like to have it bronzed.";
		"That ~one's out of the park.";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"Oops. Don't know my own strength.";
		"Careful, I'm hot to the touch.";
		"Gives a new meaning to the phrase, 'fists of fire', hunh?";
		"Flame on!";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"You have just been vaporized, ", 0, ".";
		"Pick up the pace ther, ", 0, ".";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the players kills self
	{
		"You should NEVER play with fire.";
		"What a schmuck!";
		"I'm not cleaning that mess up.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"I told you to duck.";
		"Of course you don't have an ounce of brains in your head -- they're all on the wall there.";
		"Die! Die! Die!";
		"Buuuuuuuurn!";
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"You blow up real pretty.";
		"Smokin' , ", 0, "!";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
	"Please douse yourself in gasoline now, ", 0, ".";
	"Who wants to die?";
	"Why am I left to fight a bunch of tinder with my mighty flames?";
	one_liners;
	"Any time you want to start the fight, just let me know.";
	"Big clue here. Don't quit your day job, ", 0, ".";

		// 0 = name of randomly chosen player
		// 1 = last victim name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Fire!Fire!Fire!Fire!Fire!Fire!Fire!Fire!Fire!Fire!Fire!Fire!";
		"Ooooh, fire so pretty!";
		"Anyone got a light?.";
		"I like fire, yes I do, oh I like fire, how 'bout you?";
		"Stupid damp matches...";
		one_liners;
		// 0 = name of randomly chosen player
		// 1 = last victim name
	} //end type
} //end Pyrette chat	